System.Web 2.0.0.0 System.Collections.Specialized.NameObjectCollectionBase

The class allows you to programmatically access a collection of objects. The collection can be accessed with either the key or the index.

Contains a collection of objects. This class cannot be inherited.

- Constructor
  To be added.

  Creates a new instance of the class.

  2.0.0.0
- Method
  System.Void `` `` To be added.

  Adds a object to the instance.

  A that contains the virtual directory path. A object. 2.0.0.0
- Property
  System.Collections.ICollection To be added. To be added.

  Returns a string array that contains all the keys in the instance.

  2.0.0.0
- Method
  System.Void To be added.

  Clears all objects from the instance.

  2.0.0.0
- Method
  System.Void `` `` To be added.

  Copies the entire collection to a compatible one-dimensional , starting at the specified index of the target array.

  A one-dimensional that is the destination of the elements copied from the . The must have zero-based indexing. The zero-based index in at which copying begins. 2.0.0.0
- Method
  System.Web.Configuration.VirtualDirectoryMapping `` To be added.

  Gets the specified collection element at the specified index.

  The element at the specified index.

  An integer value that specifies a particular object within the . 2.0.0.0
- Method
  System.Web.Configuration.VirtualDirectoryMapping `` To be added.

  Gets the collection element based on the specified virtual-directory name.

  The element based on the specified virtual-directory name.

  A string that contains the name of the object. 2.0.0.0
- Method
  System.String `` To be added.

  Gets the key of the entry at the specified index of the instance.

  A string that contains the name of the object.

  An integer value that specifies a particular object within the . 2.0.0.0
- Property
  System.Web.Configuration.VirtualDirectoryMapping `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.VirtualDirectoryMapping `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes a object from the instance.

  A string that contains the name of the object. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes a object at the specified index from the .

  An integer value that specifies a particular object within the . 2.0.0.0